Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class OrderedLinkedList.SimpleNode

    java.lang.Object
      org.exist.util.OrderedLinkedList.Node
          org.exist.util.OrderedLinkedList.SimpleNode

Enclosing class:
  OrderedLinkedList

public static class OrderedLinkedList.SimpleNode
extends OrderedLinkedList.Node

Constructor Summary
`OrderedLinkedList.SimpleNode(java.lang.Comparable data)`

Method Summary
`int` | `compareTo(OrderedLinkedList.Node other)`
`boolean` | `equals(OrderedLinkedList.Node other)`
`java.lang.Comparable` | `getData()`

Methods inherited from class org.exist.util.OrderedLinkedList.Node
`getNextNode, getPrevNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderedLinkedList.SimpleNode

    public OrderedLinkedList.SimpleNode(java.lang.Comparable data)

Method Detail

### compareTo

    public int compareTo(OrderedLinkedList.Node other)

  Specified by:
    `compareTo` in class `OrderedLinkedList.Node`

### equals

    public boolean equals(OrderedLinkedList.Node other)

  Specified by:
    `equals` in class `OrderedLinkedList.Node`

### getData

    public java.lang.Comparable getData()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.